Name | Type | Default |
renderEngine
|
enum:DrawRenderEngine
|
''
|
enum DrawRenderEngine { SVG, VML, HTML5 } Sets or gets the renderEngine property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDraw #myDraw [width]="850" [height]="500" [renderEngine]="'HTML5'"> </jqxDraw> `}) export class AppComponent {
|
|
|
Name | Return Type | Arguments |
attr
|
Void
|
element: Any, attributes: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDraw #myDraw [width]="850" [height]="500"> </jqxDraw> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myDraw') myDraw: jqxDrawComponent; ngAfterViewInit(): void { this.myDraw.attr(element, { fill: 'lightblue', stroke: 'darkblue' });
|
circle
|
Any
|
cx: Number, cy: Number, r: Number, attributes: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDraw #myDraw [width]="850" [height]="500"> </jqxDraw> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myDraw') myDraw: jqxDrawComponent; ngAfterViewInit(): void { let value = this.myDraw.circle(250, 150, 50, {});
|
clear
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDraw #myDraw [width]="850" [height]="500"> </jqxDraw> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myDraw') myDraw: jqxDrawComponent;
|
getAttr
|
String
|
element: Any, attributes: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDraw #myDraw [width]="850" [height]="500"> </jqxDraw> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myDraw') myDraw: jqxDrawComponent; ngAfterViewInit(): void { let value = this.myDraw.getAttr(element, 'fill');
|
getSize
|
Any
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDraw #myDraw [width]="850" [height]="500"> </jqxDraw> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myDraw') myDraw: jqxDrawComponent; ngAfterViewInit(): void { let value = this.myDraw.getSize();
|
line
|
Any
|
x1: Number, y1: Number, x2: Number, y2: Number, attributes: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDraw #myDraw [width]="850" [height]="500"> </jqxDraw> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myDraw') myDraw: jqxDrawComponent; ngAfterViewInit(): void { let value = this.myDraw.line(600, 100, 600, 200, { stroke: 'blue', 'stroke-width': 6 });
|
measureText
|
Any
|
text: String, angle: Number, attributes: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDraw #myDraw [width]="850" [height]="500"> </jqxDraw> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myDraw') myDraw: jqxDrawComponent; ngAfterViewInit(): void { let value = this.myDraw.measureText( 'My text', 45, { 'class': 'smallText' });
|
on
|
Void
|
element: Any, event: String, func: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDraw #myDraw [width]="850" [height]="500"> </jqxDraw> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myDraw') myDraw: jqxDrawComponent; ngAfterViewInit(): void { this.myDraw.on(element, 'click', () => { });
|
off
|
Void
|
element: Any, event: String, func: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDraw #myDraw [width]="850" [height]="500"> </jqxDraw> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myDraw') myDraw: jqxDrawComponent; ngAfterViewInit(): void { this.myDraw.off(element, 'click', () => { });
|
path
|
Any
|
path: String, attributes: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDraw #myDraw [width]="850" [height]="500"> </jqxDraw> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myDraw') myDraw: jqxDrawComponent; ngAfterViewInit(): void { let value = this.myDraw.path(M 100,100 L 150,130 C 130,130 180,190 150,150, { stroke: '#777777', fill: 'red' });
|
pieslice
|
Any
|
cx: Number, xy: Number, innerRadius: Any, outerRadius: Any, fromAngle: Number, endAngle: Number, centerOffset: Number, attributes: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDraw #myDraw [width]="850" [height]="500"> </jqxDraw> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myDraw') myDraw: jqxDrawComponent; ngAfterViewInit(): void { let value = this.myDraw.pieslice(250, 150, 50, 100, 15, 95, 0, {fill: 'yellow'});
|
refresh
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDraw #myDraw [width]="850" [height]="500"> </jqxDraw> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myDraw') myDraw: jqxDrawComponent;
|
rect
|
Any
|
x: Number, y: Number, width: Size, height: Size, attributes: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDraw #myDraw [width]="850" [height]="500"> </jqxDraw> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myDraw') myDraw: jqxDrawComponent; ngAfterViewInit(): void { let value = this.myDraw.rect(0, 0, 200, 100, { stroke: '#777777', fill: 'transparent' });
|
saveAsJPEG
|
Void
|
image: String, url: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDraw #myDraw [width]="850" [height]="500"> </jqxDraw> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myDraw') myDraw: jqxDrawComponent; ngAfterViewInit(): void { this.myDraw.saveAsJPEG('myImage.jpeg', 'http:///export_server/server.php');
|
saveAsPNG
|
Void
|
image: String, url: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDraw #myDraw [width]="850" [height]="500"> </jqxDraw> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myDraw') myDraw: jqxDrawComponent; ngAfterViewInit(): void { this.myDraw.saveAsPNG('myImage.png', 'http:///export_server/server.php');
|
text
|
Any
|
text: String, x: Number, y: Number, width: Size, height: Size, angle: Number, attributes: Any, clip: Boolean, halign: String, valign: String, rotateAround: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDraw #myDraw [width]="850" [height]="500"> </jqxDraw> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myDraw') myDraw: jqxDrawComponent; ngAfterViewInit(): void { let value = this.myDraw.text( 'Drawing Shapes', 50, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle');
|

Name | Type | Default |
renderEngine
|
DrawRenderEngine
|
''
|
DrawRenderEngine: "SVG" | "VML" | "HTML5"
Determines the rendering engine used to display the chart. Possible values are 'SVG', 'VML' and 'HTML5'. When the property is not set jqxDraw will automatically select an optimal rendering engine depending on the browser capabilities.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDraw, { IDrawProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdraw'; class App extends React.PureComponent<{}, IDrawProps> { private myDraw = React.createRef<JqxDraw>(); constructor(props: {}) { super(props); } public componentDidMount(): void { const size = this.myDraw.current!.getSize(); const borderElement = this.myDraw.current!.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.myDraw.current!.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.myDraw.current!.circle(85, 150, 50, {}); this.myDraw.current!.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.myDraw.current!.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.myDraw.current!.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.myDraw.current!.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.myDraw.current!.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.myDraw.current!.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.myDraw.current!.getAttr(circleElement, 'cy')); this.myDraw.current!.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.myDraw.current!.on(circleUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(pathUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(circleDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.on(pathDown, 'click', () => { moveCircle(false); }); } public render() { return ( <JqxDraw ref={this.myDraw} style={{ width: 850, height: 500 }} renderEngine={''} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
|
Name | Arguments | Return Type |
attr
|
element, attributes
|
|
Sets attributes of an element
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDraw, { IDrawProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdraw'; class App extends React.PureComponent<{}, IDrawProps> { private myDraw = React.createRef<JqxDraw>(); constructor(props: {}) { super(props); } public componentDidMount(): void { const size = this.myDraw.current!.getSize(); const borderElement = this.myDraw.current!.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.myDraw.current!.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.myDraw.current!.circle(85, 150, 50, {}); this.myDraw.current!.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.myDraw.current!.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.myDraw.current!.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.myDraw.current!.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.myDraw.current!.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.myDraw.current!.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.myDraw.current!.getAttr(circleElement, 'cy')); this.myDraw.current!.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.myDraw.current!.on(circleUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(pathUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(circleDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.on(pathDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.attr(textElement, { fill: 'lightblue', stroke: 'darkblue' }); } public render() { return ( <JqxDraw ref={this.myDraw} style={{ width: 850, height: 500 }} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
circle
|
cx, cy, r, attributes
|
|
Creates a circle element
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDraw, { IDrawProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdraw'; class App extends React.PureComponent<{}, IDrawProps> { private myDraw = React.createRef<JqxDraw>(); constructor(props: {}) { super(props); } public componentDidMount(): void { const size = this.myDraw.current!.getSize(); const borderElement = this.myDraw.current!.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.myDraw.current!.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.myDraw.current!.circle(85, 150, 50, {}); this.myDraw.current!.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.myDraw.current!.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.myDraw.current!.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.myDraw.current!.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.myDraw.current!.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.myDraw.current!.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.myDraw.current!.getAttr(circleElement, 'cy')); this.myDraw.current!.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.myDraw.current!.on(circleUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(pathUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(circleDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.on(pathDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.circle(85,300, 50, {}); } public render() { return ( <JqxDraw ref={this.myDraw} style={{ width: 850, height: 500 }} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
clear
|
None
|
|
Clears the content of the jqxDraw widget
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDraw, { IDrawProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdraw'; class App extends React.PureComponent<{}, IDrawProps> { private myDraw = React.createRef<JqxDraw>(); constructor(props: {}) { super(props); } public componentDidMount(): void { const size = this.myDraw.current!.getSize(); const borderElement = this.myDraw.current!.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.myDraw.current!.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.myDraw.current!.circle(85, 150, 50, {}); this.myDraw.current!.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.myDraw.current!.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.myDraw.current!.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.myDraw.current!.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.myDraw.current!.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.myDraw.current!.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.myDraw.current!.getAttr(circleElement, 'cy')); this.myDraw.current!.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.myDraw.current!.on(circleUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(pathUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(circleDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.on(pathDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.clear(); } public render() { return ( <JqxDraw ref={this.myDraw} style={{ width: 850, height: 500 }} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getAttr
|
element, attributes
|
|
Gets element's attribute
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDraw, { IDrawProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdraw'; class App extends React.PureComponent<{}, IDrawProps> { private myDraw = React.createRef<JqxDraw>(); constructor(props: {}) { super(props); } public componentDidMount(): void { const size = this.myDraw.current!.getSize(); const borderElement = this.myDraw.current!.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.myDraw.current!.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.myDraw.current!.circle(85, 150, 50, {}); this.myDraw.current!.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.myDraw.current!.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.myDraw.current!.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.myDraw.current!.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.myDraw.current!.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.myDraw.current!.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.myDraw.current!.getAttr(circleElement, 'cy')); this.myDraw.current!.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.myDraw.current!.on(circleUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(pathUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(circleDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.on(pathDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.getAttr(circleElement, 'fill'); } public render() { return ( <JqxDraw ref={this.myDraw} style={{ width: 850, height: 500 }} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getSize
|
None
|
|
Method: getSize
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDraw, { IDrawProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdraw'; class App extends React.PureComponent<{}, IDrawProps> { private myDraw = React.createRef<JqxDraw>(); constructor(props: {}) { super(props); } public componentDidMount(): void { const size = this.myDraw.current!.getSize(); const borderElement = this.myDraw.current!.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.myDraw.current!.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.myDraw.current!.circle(85, 150, 50, {}); this.myDraw.current!.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.myDraw.current!.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.myDraw.current!.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.myDraw.current!.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.myDraw.current!.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.myDraw.current!.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.myDraw.current!.getAttr(circleElement, 'cy')); this.myDraw.current!.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.myDraw.current!.on(circleUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(pathUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(circleDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.on(pathDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.getSize(); } public render() { return ( <JqxDraw ref={this.myDraw} style={{ width: 850, height: 500 }} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
line
|
x1, y1, x2, y2, attributes
|
|
Creates a line element
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDraw, { IDrawProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdraw'; class App extends React.PureComponent<{}, IDrawProps> { private myDraw = React.createRef<JqxDraw>(); constructor(props: {}) { super(props); } public componentDidMount(): void { const size = this.myDraw.current!.getSize(); const borderElement = this.myDraw.current!.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.myDraw.current!.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.myDraw.current!.circle(85, 150, 50, {}); this.myDraw.current!.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.myDraw.current!.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.myDraw.current!.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.myDraw.current!.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.myDraw.current!.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.myDraw.current!.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.myDraw.current!.getAttr(circleElement, 'cy')); this.myDraw.current!.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.myDraw.current!.on(circleUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(pathUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(circleDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.on(pathDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.line(85,100,85,200, { stroke: 'blue', 'stroke-width': 6 }); } public render() { return ( <JqxDraw ref={this.myDraw} style={{ width: 850, height: 500 }} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
measureText
|
text, angle, attributes
|
|
Estimates the size of a text element
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDraw, { IDrawProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdraw'; class App extends React.PureComponent<{}, IDrawProps> { private myDraw = React.createRef<JqxDraw>(); constructor(props: {}) { super(props); } public componentDidMount(): void { const size = this.myDraw.current!.getSize(); const borderElement = this.myDraw.current!.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.myDraw.current!.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.myDraw.current!.circle(85, 150, 50, {}); this.myDraw.current!.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.myDraw.current!.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.myDraw.current!.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.myDraw.current!.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.myDraw.current!.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.myDraw.current!.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.myDraw.current!.getAttr(circleElement, 'cy')); this.myDraw.current!.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.myDraw.current!.on(circleUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(pathUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(circleDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.on(pathDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.measureText( 'My text', 45, { 'class': 'smallText' }); } public render() { return ( <JqxDraw ref={this.myDraw} style={{ width: 850, height: 500 }} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
on
|
element, event, func
|
|
Adds an event handler to an element
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDraw, { IDrawProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdraw'; class App extends React.PureComponent<{}, IDrawProps> { private myDraw = React.createRef<JqxDraw>(); constructor(props: {}) { super(props); } public componentDidMount(): void { const size = this.myDraw.current!.getSize(); const borderElement = this.myDraw.current!.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.myDraw.current!.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.myDraw.current!.circle(85, 150, 50, {}); this.myDraw.current!.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.myDraw.current!.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.myDraw.current!.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.myDraw.current!.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.myDraw.current!.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.myDraw.current!.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.myDraw.current!.getAttr(circleElement, 'cy')); this.myDraw.current!.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.myDraw.current!.on(circleUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(pathUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(circleDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.on(pathDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.on(circleElement, 'click', () => { alert('Clicked The Big Circle!') }); } public render() { return ( <JqxDraw ref={this.myDraw} style={{ width: 850, height: 500 }} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
off
|
element, event, func
|
|
Removes an event handler from an element
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDraw, { IDrawProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdraw'; class App extends React.PureComponent<{}, IDrawProps> { private myDraw = React.createRef<JqxDraw>(); constructor(props: {}) { super(props); } public componentDidMount(): void { const size = this.myDraw.current!.getSize(); const borderElement = this.myDraw.current!.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.myDraw.current!.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.myDraw.current!.circle(85, 150, 50, {}); this.myDraw.current!.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.myDraw.current!.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.myDraw.current!.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.myDraw.current!.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.myDraw.current!.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.myDraw.current!.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.myDraw.current!.getAttr(circleElement, 'cy')); this.myDraw.current!.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.myDraw.current!.on(circleUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(pathUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(circleDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.on(pathDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.off(pathDown, 'click',moveCircle(false)); } public render() { return ( <JqxDraw ref={this.myDraw} style={{ width: 850, height: 500 }} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
path
|
path, attributes
|
|
Creates a path element
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDraw, { IDrawProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdraw'; class App extends React.PureComponent<{}, IDrawProps> { private myDraw = React.createRef<JqxDraw>(); constructor(props: {}) { super(props); } public componentDidMount(): void { const size = this.myDraw.current!.getSize(); const borderElement = this.myDraw.current!.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.myDraw.current!.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.myDraw.current!.circle(85, 150, 50, {}); this.myDraw.current!.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.myDraw.current!.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.myDraw.current!.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.myDraw.current!.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.myDraw.current!.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.myDraw.current!.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.myDraw.current!.getAttr(circleElement, 'cy')); this.myDraw.current!.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.myDraw.current!.on(circleUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(pathUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(circleDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.on(pathDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.path( 'M10 160 L 160 160 L80 320 Z', { fill: 'transparent', stroke: 'blue', 'stroke-width': 1 }); } public render() { return ( <JqxDraw ref={this.myDraw} style={{ width: 850, height: 500 }} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
pieslice
|
cx, xy, innerRadius, outerRadius, fromAngle, endAngle, centerOffset, attributes
|
|
Creates a pie slice element
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDraw, { IDrawProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdraw'; class App extends React.PureComponent<{}, IDrawProps> { private myDraw = React.createRef<JqxDraw>(); constructor(props: {}) { super(props); } public componentDidMount(): void { const size = this.myDraw.current!.getSize(); const borderElement = this.myDraw.current!.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.myDraw.current!.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.myDraw.current!.circle(85, 150, 50, {}); this.myDraw.current!.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.myDraw.current!.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.myDraw.current!.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.myDraw.current!.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.myDraw.current!.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.myDraw.current!.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.myDraw.current!.getAttr(circleElement, 'cy')); this.myDraw.current!.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.myDraw.current!.on(circleUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(pathUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(circleDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.on(pathDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.pieslice(50, 350, 50, 100, 15, 95, 0, {fill: 'yellow'}); } public render() { return ( <JqxDraw ref={this.myDraw} style={{ width: 850, height: 500 }} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
refresh
|
None
|
|
Refreshes / re-draws the content of the jqxDraw widget
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDraw, { IDrawProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdraw'; class App extends React.PureComponent<{}, IDrawProps> { private myDraw = React.createRef<JqxDraw>(); constructor(props: {}) { super(props); } public componentDidMount(): void { const size = this.myDraw.current!.getSize(); const borderElement = this.myDraw.current!.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.myDraw.current!.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.myDraw.current!.circle(85, 150, 50, {}); this.myDraw.current!.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.myDraw.current!.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.myDraw.current!.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.myDraw.current!.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.myDraw.current!.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.myDraw.current!.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.myDraw.current!.getAttr(circleElement, 'cy')); this.myDraw.current!.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.myDraw.current!.on(circleUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(pathUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(circleDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.on(pathDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.refresh(); } public render() { return ( <JqxDraw ref={this.myDraw} style={{ width: 850, height: 500 }} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rect
|
x, y, width, height, attributes
|
|
Creates a rectangle element
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDraw, { IDrawProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdraw'; class App extends React.PureComponent<{}, IDrawProps> { private myDraw = React.createRef<JqxDraw>(); constructor(props: {}) { super(props); } public componentDidMount(): void { const size = this.myDraw.current!.getSize(); const borderElement = this.myDraw.current!.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.myDraw.current!.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.myDraw.current!.circle(85, 150, 50, {}); this.myDraw.current!.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.myDraw.current!.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.myDraw.current!.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.myDraw.current!.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.myDraw.current!.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.myDraw.current!.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.myDraw.current!.getAttr(circleElement, 'cy')); this.myDraw.current!.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.myDraw.current!.on(circleUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(pathUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(circleDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.on(pathDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.rect(20,280,130,50, { stroke: 'blue', fill: 'transparent' }); } public render() { return ( <JqxDraw ref={this.myDraw} style={{ width: 850, height: 500 }} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
saveAsJPEG
|
image, url
|
|
Exports the content as JPEG image
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDraw, { IDrawProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdraw'; class App extends React.PureComponent<{}, IDrawProps> { private myDraw = React.createRef<JqxDraw>(); constructor(props: {}) { super(props); } public componentDidMount(): void { const size = this.myDraw.current!.getSize(); const borderElement = this.myDraw.current!.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.myDraw.current!.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.myDraw.current!.circle(85, 150, 50, {}); this.myDraw.current!.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.myDraw.current!.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.myDraw.current!.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.myDraw.current!.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.myDraw.current!.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.myDraw.current!.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.myDraw.current!.getAttr(circleElement, 'cy')); this.myDraw.current!.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.myDraw.current!.on(circleUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(pathUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(circleDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.on(pathDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.saveAsJPEG('myImage.jpeg', 'http:///export_server/server.php'); } public render() { return ( <JqxDraw ref={this.myDraw} style={{ width: 850, height: 500 }} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
saveAsPNG
|
image, url
|
|
Exports the chart's content as PNG image
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDraw, { IDrawProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdraw'; class App extends React.PureComponent<{}, IDrawProps> { private myDraw = React.createRef<JqxDraw>(); constructor(props: {}) { super(props); } public componentDidMount(): void { const size = this.myDraw.current!.getSize(); const borderElement = this.myDraw.current!.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.myDraw.current!.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.myDraw.current!.circle(85, 150, 50, {}); this.myDraw.current!.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.myDraw.current!.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.myDraw.current!.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.myDraw.current!.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.myDraw.current!.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.myDraw.current!.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.myDraw.current!.getAttr(circleElement, 'cy')); this.myDraw.current!.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.myDraw.current!.on(circleUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(pathUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(circleDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.on(pathDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.saveAsPNG('myImage.png', 'http:///export_server/server.php'); } public render() { return ( <JqxDraw ref={this.myDraw} style={{ width: 850, height: 500 }} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
text
|
text, x, y, width, height, angle, attributes, clip, halign, valign, rotateAround
|
|
Creates a text element
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDraw, { IDrawProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdraw'; class App extends React.PureComponent<{}, IDrawProps> { private myDraw = React.createRef<JqxDraw>(); constructor(props: {}) { super(props); } public componentDidMount(): void { const size = this.myDraw.current!.getSize(); const borderElement = this.myDraw.current!.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.myDraw.current!.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.myDraw.current!.circle(85, 150, 50, {}); this.myDraw.current!.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.myDraw.current!.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.myDraw.current!.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.myDraw.current!.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.myDraw.current!.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.myDraw.current!.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.myDraw.current!.getAttr(circleElement, 'cy')); this.myDraw.current!.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.myDraw.current!.on(circleUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(pathUp, 'click', () => { moveCircle(true); }); this.myDraw.current!.on(circleDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.on(pathDown, 'click', () => { moveCircle(false); }); this.myDraw.current!.text( 'Some More Text!', 30, 280, undefined, undefined, 0, { 'class': 'largeText', fill: 'blue', stroke: 'blue' }, false, 'center', 'center', 'centermiddle'); } public render() { return ( <JqxDraw ref={this.myDraw} style={{ width: 850, height: 500 }} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|

Name | Type | Default |
renderEngine
|
String
|
''
|
Determines the rendering engine used to display the chart. Possible values are 'SVG', 'VML' and 'HTML5'. When the property is not set jqxDraw will automatically select an optimal rendering engine depending on the browser capabilities.
<template> <JqxDraw ref="myDraw" style="width: 850px; height: 500px;" :renderEngine="''" /> </template>
<script> import JqxDraw from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdraw.vue'; export default { components: { JqxDraw }, mounted: function () { const size = this.$refs.myDraw.getSize(); const borderElement = this.$refs.myDraw.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.$refs.myDraw.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.$refs.myDraw.circle(85, 150, 50, {}); this.$refs.myDraw.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.$refs.myDraw.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.$refs.myDraw.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.$refs.myDraw.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.$refs.myDraw.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.$refs.myDraw.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.$refs.myDraw.getAttr(circleElement, 'cy')); this.$refs.myDraw.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.$refs.myDraw.on(circleUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(pathUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(circleDown, 'click', () => { moveCircle(false); }); this.$refs.myDraw.on(pathDown, 'click', () => { moveCircle(false); });
|
|
|
Name | Arguments | Return Type |
attr
|
element, attributes
|
None
|
Sets attributes of an element
<template> <JqxDraw ref="myDraw" style="width: 850px; height: 500px;" /> </template>
<script> import JqxDraw from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdraw.vue'; export default { components: { JqxDraw }, mounted: function () { const size = this.$refs.myDraw.getSize(); const borderElement = this.$refs.myDraw.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.$refs.myDraw.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.$refs.myDraw.circle(85, 150, 50, {}); this.$refs.myDraw.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.$refs.myDraw.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.$refs.myDraw.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.$refs.myDraw.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.$refs.myDraw.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.$refs.myDraw.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.$refs.myDraw.getAttr(circleElement, 'cy')); this.$refs.myDraw.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.$refs.myDraw.on(circleUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(pathUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(circleDown, 'click', () => { moveCircle(false); }); this.$refs.myDraw.on(pathDown, 'click', () => { moveCircle(false); }); this.$refs.myDraw.attr(textElement, { fill: 'lightblue', stroke: 'darkblue' });
|
circle
|
cx, cy, r, attributes
|
Object
|
Creates a circle element
<template> <JqxDraw ref="myDraw" style="width: 850px; height: 500px;" /> </template>
<script> import JqxDraw from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdraw.vue'; export default { components: { JqxDraw }, mounted: function () { const size = this.$refs.myDraw.getSize(); const borderElement = this.$refs.myDraw.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.$refs.myDraw.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.$refs.myDraw.circle(85, 150, 50, {}); this.$refs.myDraw.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.$refs.myDraw.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.$refs.myDraw.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.$refs.myDraw.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.$refs.myDraw.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.$refs.myDraw.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.$refs.myDraw.getAttr(circleElement, 'cy')); this.$refs.myDraw.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.$refs.myDraw.on(circleUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(pathUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(circleDown, 'click', () => { moveCircle(false); }); this.$refs.myDraw.on(pathDown, 'click', () => { moveCircle(false); }); const value = this.$refs.myDraw.circle(85,300, 50, {});
|
clear
|
None
|
None
|
Clears the content of the jqxDraw widget
<template> <JqxDraw ref="myDraw" style="width: 850px; height: 500px;" /> </template>
<script> import JqxDraw from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdraw.vue'; export default { components: { JqxDraw }, mounted: function () { const size = this.$refs.myDraw.getSize(); const borderElement = this.$refs.myDraw.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.$refs.myDraw.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.$refs.myDraw.circle(85, 150, 50, {}); this.$refs.myDraw.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.$refs.myDraw.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.$refs.myDraw.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.$refs.myDraw.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.$refs.myDraw.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.$refs.myDraw.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.$refs.myDraw.getAttr(circleElement, 'cy')); this.$refs.myDraw.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.$refs.myDraw.on(circleUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(pathUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(circleDown, 'click', () => { moveCircle(false); }); this.$refs.myDraw.on(pathDown, 'click', () => { moveCircle(false); }); this.$refs.myDraw.clear();
|
getAttr
|
element, attributes
|
String
|
Gets element's attribute
<template> <JqxDraw ref="myDraw" style="width: 850px; height: 500px;" /> </template>
<script> import JqxDraw from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdraw.vue'; export default { components: { JqxDraw }, mounted: function () { const size = this.$refs.myDraw.getSize(); const borderElement = this.$refs.myDraw.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.$refs.myDraw.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.$refs.myDraw.circle(85, 150, 50, {}); this.$refs.myDraw.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.$refs.myDraw.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.$refs.myDraw.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.$refs.myDraw.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.$refs.myDraw.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.$refs.myDraw.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.$refs.myDraw.getAttr(circleElement, 'cy')); this.$refs.myDraw.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.$refs.myDraw.on(circleUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(pathUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(circleDown, 'click', () => { moveCircle(false); }); this.$refs.myDraw.on(pathDown, 'click', () => { moveCircle(false); }); const value = this.$refs.myDraw.getAttr(circleElement, 'fill');
|
getSize
|
None
|
Object
|
Method: getSize
<template> <JqxDraw ref="myDraw" style="width: 850px; height: 500px;" /> </template>
<script> import JqxDraw from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdraw.vue'; export default { components: { JqxDraw }, mounted: function () { const size = this.$refs.myDraw.getSize(); const borderElement = this.$refs.myDraw.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.$refs.myDraw.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.$refs.myDraw.circle(85, 150, 50, {}); this.$refs.myDraw.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.$refs.myDraw.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.$refs.myDraw.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.$refs.myDraw.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.$refs.myDraw.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.$refs.myDraw.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.$refs.myDraw.getAttr(circleElement, 'cy')); this.$refs.myDraw.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.$refs.myDraw.on(circleUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(pathUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(circleDown, 'click', () => { moveCircle(false); }); this.$refs.myDraw.on(pathDown, 'click', () => { moveCircle(false); }); const value = this.$refs.myDraw.getSize();
|
line
|
x1, y1, x2, y2, attributes
|
Object
|
Creates a line element
<template> <JqxDraw ref="myDraw" style="width: 850px; height: 500px;" /> </template>
<script> import JqxDraw from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdraw.vue'; export default { components: { JqxDraw }, mounted: function () { const size = this.$refs.myDraw.getSize(); const borderElement = this.$refs.myDraw.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.$refs.myDraw.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.$refs.myDraw.circle(85, 150, 50, {}); this.$refs.myDraw.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.$refs.myDraw.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.$refs.myDraw.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.$refs.myDraw.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.$refs.myDraw.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.$refs.myDraw.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.$refs.myDraw.getAttr(circleElement, 'cy')); this.$refs.myDraw.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.$refs.myDraw.on(circleUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(pathUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(circleDown, 'click', () => { moveCircle(false); }); this.$refs.myDraw.on(pathDown, 'click', () => { moveCircle(false); }); const value = this.$refs.myDraw.line(85,100,85,200, { stroke: 'blue', 'stroke-width': 6 });
|
measureText
|
text, angle, attributes
|
Object
|
Estimates the size of a text element
<template> <JqxDraw ref="myDraw" style="width: 850px; height: 500px;" /> </template>
<script> import JqxDraw from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdraw.vue'; export default { components: { JqxDraw }, mounted: function () { const size = this.$refs.myDraw.getSize(); const borderElement = this.$refs.myDraw.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.$refs.myDraw.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.$refs.myDraw.circle(85, 150, 50, {}); this.$refs.myDraw.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.$refs.myDraw.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.$refs.myDraw.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.$refs.myDraw.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.$refs.myDraw.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.$refs.myDraw.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.$refs.myDraw.getAttr(circleElement, 'cy')); this.$refs.myDraw.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.$refs.myDraw.on(circleUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(pathUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(circleDown, 'click', () => { moveCircle(false); }); this.$refs.myDraw.on(pathDown, 'click', () => { moveCircle(false); }); const value = this.$refs.myDraw.measureText( 'My text', 45, { 'class': 'smallText' });
|
on
|
element, event, func
|
None
|
Adds an event handler to an element
<template> <JqxDraw ref="myDraw" style="width: 850px; height: 500px;" /> </template>
<script> import JqxDraw from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdraw.vue'; export default { components: { JqxDraw }, mounted: function () { const size = this.$refs.myDraw.getSize(); const borderElement = this.$refs.myDraw.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.$refs.myDraw.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.$refs.myDraw.circle(85, 150, 50, {}); this.$refs.myDraw.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.$refs.myDraw.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.$refs.myDraw.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.$refs.myDraw.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.$refs.myDraw.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.$refs.myDraw.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.$refs.myDraw.getAttr(circleElement, 'cy')); this.$refs.myDraw.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.$refs.myDraw.on(circleUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(pathUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(circleDown, 'click', () => { moveCircle(false); }); this.$refs.myDraw.on(pathDown, 'click', () => { moveCircle(false); }); this.$refs.myDraw.on(circleElement, 'click', () => { alert('Clicked The Big Circle!') });
|
off
|
element, event, func
|
None
|
Removes an event handler from an element
<template> <JqxDraw ref="myDraw" style="width: 850px; height: 500px;" /> </template>
<script> import JqxDraw from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdraw.vue'; export default { components: { JqxDraw }, mounted: function () { const size = this.$refs.myDraw.getSize(); const borderElement = this.$refs.myDraw.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.$refs.myDraw.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.$refs.myDraw.circle(85, 150, 50, {}); this.$refs.myDraw.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.$refs.myDraw.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.$refs.myDraw.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.$refs.myDraw.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.$refs.myDraw.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.$refs.myDraw.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.$refs.myDraw.getAttr(circleElement, 'cy')); this.$refs.myDraw.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.$refs.myDraw.on(circleUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(pathUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(circleDown, 'click', () => { moveCircle(false); }); this.$refs.myDraw.on(pathDown, 'click', () => { moveCircle(false); }); this.$refs.myDraw.off(pathDown, 'click',moveCircle(false));
|
path
|
path, attributes
|
Object
|
Creates a path element
<template> <JqxDraw ref="myDraw" style="width: 850px; height: 500px;" /> </template>
<script> import JqxDraw from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdraw.vue'; export default { components: { JqxDraw }, mounted: function () { const size = this.$refs.myDraw.getSize(); const borderElement = this.$refs.myDraw.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.$refs.myDraw.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.$refs.myDraw.circle(85, 150, 50, {}); this.$refs.myDraw.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.$refs.myDraw.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.$refs.myDraw.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.$refs.myDraw.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.$refs.myDraw.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.$refs.myDraw.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.$refs.myDraw.getAttr(circleElement, 'cy')); this.$refs.myDraw.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.$refs.myDraw.on(circleUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(pathUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(circleDown, 'click', () => { moveCircle(false); }); this.$refs.myDraw.on(pathDown, 'click', () => { moveCircle(false); }); const value = this.$refs.myDraw.path( 'M10 160 L 160 160 L80 320 Z', { fill: 'transparent', stroke: 'blue', 'stroke-width': 1 });
|
pieslice
|
cx, xy, innerRadius, outerRadius, fromAngle, endAngle, centerOffset, attributes
|
Object
|
Creates a pie slice element
<template> <JqxDraw ref="myDraw" style="width: 850px; height: 500px;" /> </template>
<script> import JqxDraw from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdraw.vue'; export default { components: { JqxDraw }, mounted: function () { const size = this.$refs.myDraw.getSize(); const borderElement = this.$refs.myDraw.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.$refs.myDraw.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.$refs.myDraw.circle(85, 150, 50, {}); this.$refs.myDraw.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.$refs.myDraw.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.$refs.myDraw.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.$refs.myDraw.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.$refs.myDraw.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.$refs.myDraw.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.$refs.myDraw.getAttr(circleElement, 'cy')); this.$refs.myDraw.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.$refs.myDraw.on(circleUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(pathUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(circleDown, 'click', () => { moveCircle(false); }); this.$refs.myDraw.on(pathDown, 'click', () => { moveCircle(false); }); const value = this.$refs.myDraw.pieslice(50, 350, 50, 100, 15, 95, 0, {fill: 'yellow'});
|
refresh
|
None
|
None
|
Refreshes / re-draws the content of the jqxDraw widget
<template> <JqxDraw ref="myDraw" style="width: 850px; height: 500px;" /> </template>
<script> import JqxDraw from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdraw.vue'; export default { components: { JqxDraw }, mounted: function () { const size = this.$refs.myDraw.getSize(); const borderElement = this.$refs.myDraw.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.$refs.myDraw.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.$refs.myDraw.circle(85, 150, 50, {}); this.$refs.myDraw.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.$refs.myDraw.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.$refs.myDraw.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.$refs.myDraw.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.$refs.myDraw.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.$refs.myDraw.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.$refs.myDraw.getAttr(circleElement, 'cy')); this.$refs.myDraw.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.$refs.myDraw.on(circleUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(pathUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(circleDown, 'click', () => { moveCircle(false); }); this.$refs.myDraw.on(pathDown, 'click', () => { moveCircle(false); }); this.$refs.myDraw.refresh();
|
rect
|
x, y, width, height, attributes
|
Object
|
Creates a rectangle element
<template> <JqxDraw ref="myDraw" style="width: 850px; height: 500px;" /> </template>
<script> import JqxDraw from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdraw.vue'; export default { components: { JqxDraw }, mounted: function () { const size = this.$refs.myDraw.getSize(); const borderElement = this.$refs.myDraw.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.$refs.myDraw.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.$refs.myDraw.circle(85, 150, 50, {}); this.$refs.myDraw.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.$refs.myDraw.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.$refs.myDraw.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.$refs.myDraw.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.$refs.myDraw.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.$refs.myDraw.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.$refs.myDraw.getAttr(circleElement, 'cy')); this.$refs.myDraw.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.$refs.myDraw.on(circleUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(pathUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(circleDown, 'click', () => { moveCircle(false); }); this.$refs.myDraw.on(pathDown, 'click', () => { moveCircle(false); }); const value = this.$refs.myDraw.rect(20,280,130,50, { stroke: 'blue', fill: 'transparent' });
|
saveAsJPEG
|
image, url
|
None
|
Exports the content as JPEG image
<template> <JqxDraw ref="myDraw" style="width: 850px; height: 500px;" /> </template>
<script> import JqxDraw from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdraw.vue'; export default { components: { JqxDraw }, mounted: function () { const size = this.$refs.myDraw.getSize(); const borderElement = this.$refs.myDraw.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.$refs.myDraw.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.$refs.myDraw.circle(85, 150, 50, {}); this.$refs.myDraw.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.$refs.myDraw.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.$refs.myDraw.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.$refs.myDraw.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.$refs.myDraw.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.$refs.myDraw.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.$refs.myDraw.getAttr(circleElement, 'cy')); this.$refs.myDraw.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.$refs.myDraw.on(circleUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(pathUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(circleDown, 'click', () => { moveCircle(false); }); this.$refs.myDraw.on(pathDown, 'click', () => { moveCircle(false); }); this.$refs.myDraw.saveAsJPEG('myImage.jpeg', 'http:///export_server/server.php');
|
saveAsPNG
|
image, url
|
None
|
Exports the chart's content as PNG image
<template> <JqxDraw ref="myDraw" style="width: 850px; height: 500px;" /> </template>
<script> import JqxDraw from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdraw.vue'; export default { components: { JqxDraw }, mounted: function () { const size = this.$refs.myDraw.getSize(); const borderElement = this.$refs.myDraw.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.$refs.myDraw.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.$refs.myDraw.circle(85, 150, 50, {}); this.$refs.myDraw.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.$refs.myDraw.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.$refs.myDraw.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.$refs.myDraw.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.$refs.myDraw.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.$refs.myDraw.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.$refs.myDraw.getAttr(circleElement, 'cy')); this.$refs.myDraw.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.$refs.myDraw.on(circleUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(pathUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(circleDown, 'click', () => { moveCircle(false); }); this.$refs.myDraw.on(pathDown, 'click', () => { moveCircle(false); }); this.$refs.myDraw.saveAsPNG('myImage.png', 'http:///export_server/server.php');
|
text
|
text, x, y, width, height, angle, attributes, clip, halign, valign, rotateAround
|
Object
|
Creates a text element
<template> <JqxDraw ref="myDraw" style="width: 850px; height: 500px;" /> </template>
<script> import JqxDraw from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdraw.vue'; export default { components: { JqxDraw }, mounted: function () { const size = this.$refs.myDraw.getSize(); const borderElement = this.$refs.myDraw.rect(0, 0, size.width - 680, size.height, { stroke: '#777777', fill: 'transparent' }); const textElement = this.$refs.myDraw.text( 'Drawing shapes', 35, 20, undefined, undefined, 0, { 'class': 'largeText', fill: 'yellow', stroke: 'orange' }, false, 'center', 'center', 'centermiddle'); const circleElement = this.$refs.myDraw.circle(85, 150, 50, {}); this.$refs.myDraw.attr(circleElement, { fill: 'lightblue', stroke: 'darkblue' }); const circleUp = this.$refs.myDraw.circle(50, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathUp = this.$refs.myDraw.path( 'M30 460 L 70 460 L50 430 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); const circleDown = this.$refs.myDraw.circle(120, 450, 30, { fill: '#DEDEDE', stroke: '#777777' }); const pathDown = this.$refs.myDraw.path( 'M100 440 L 140 440 L120 470 Z', { fill: 'transparent', stroke: '#777777', 'stroke-width': 1 }); this.$refs.myDraw.text( 'Click these buttons:', 20, 390); const moveCircle = moveUp => { const circleY = parseInt(this.$refs.myDraw.getAttr(circleElement, 'cy')); this.$refs.myDraw.attr(circleElement, { cy: circleY + (moveUp ? -10 : 10) }); } this.$refs.myDraw.on(circleUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(pathUp, 'click', () => { moveCircle(true); }); this.$refs.myDraw.on(circleDown, 'click', () => { moveCircle(false); }); this.$refs.myDraw.on(pathDown, 'click', () => { moveCircle(false); }); const value = this.$refs.myDraw.text( 'Some More Text!', 30, 280, undefined, undefined, 0, { 'class': 'largeText', fill: 'blue', stroke: 'blue' }, false, 'center', 'center', 'centermiddle');
|